/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include "sql-expr.h"

/**
 * SECTION: sql-expr
 * @Short_description: represents any expression used in SQL.
 * @Title: SqlExpr
 * 
 * The #SqlExpr is the base class for all SQL expressions such as an
 * arithmetic or logical operation, a comparison between values, columns, any
 * type of value...
 **/
G_DEFINE_ABSTRACT_TYPE (SqlExpr, sql_expr, SQL_TYPE_OBJECT);

SqlExpr * sql_expr_new ()
{
	return g_object_new (SQL_TYPE_EXPR, NULL);
}

//+++++++++++++++++++++++++++++++++++++++++++++++++++ Class

static void sql_expr_init (SqlExpr * obj) {}

static void sql_expr_class_init (SqlExprClass * klass) {}
