/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SQL_STMT_H
#define SQL_STMT_H

#include "sql-object.h"

#define SQL_TYPE_STMT			(sql_stmt_get_type ())
#define SQL_STMT(obj)			(G_TYPE_CHECK_INSTANCE_CAST (obj, SQL_TYPE_STMT, SqlStmt))
#define SQL_IS_STMT(obj)		(G_TYPE_CHECK_INSTANCE_TYPE (obj, SQL_TYPE_STMT))
#define SQL_STMT_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST (klass, SQL_TYPE_STMT, SqlStmtClass))
#define SQL_STMT_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS (obj, SQL_TYPE_STMT, SqlStmtClass))

typedef struct _SqlStmt SqlStmt;
typedef struct _SqlStmtClass SqlStmtClass;

struct _SqlStmt
{
	SqlObject parent;
};

struct _SqlStmtClass
{
	/* <private> */
	SqlObjectClass parent;
};

GType		sql_stmt_get_type	();
gboolean	sql_stmt_is_ready	(SqlStmt * obj);

#endif
