/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SQL_SUBQUERY_H
#define SQL_SUBQUERY_H

#include "sql-target.h"
#include "sql-select.h"

#define SQL_TYPE_SUBQUERY		(sql_subquery_get_type ())
#define SQL_IS_SUBQUERY(obj)	(G_TYPE_CHECK_INSTANCE_TYPE (obj, SQL_TYPE_SUBQUERY))
#define SQL_SUBQUERY(obj)		(G_TYPE_CHECK_INSTANCE_CAST (obj, SQL_TYPE_SUBQUERY, SqlSubquery))

typedef struct _SqlSubquery SqlSubquery;
typedef struct _SqlSubqueryClass SqlSubqueryClass;

struct _SqlSubquery
{
	SqlTarget parent;
	SqlSelect * select;
};

struct _SqlSubqueryClass
{
	/* <private> */
	SqlTargetClass parent;
};

GType			sql_subquery_get_type	();
SqlSubquery *	sql_subquery_new		(SqlSelect * select);
void			sql_subquery_set_select	(SqlSubquery * obj, SqlSelect * select);

#endif

