/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef VN_COLUMN_IMAGE_H
#define VN_COLUMN_IMAGE_H

#include <vn/vn-column.h>

#define VN_TYPE_COLUMN_IMAGE			(vn_column_image_get_type ())
#define VN_COLUMN_IMAGE(obj)			(G_TYPE_CHECK_INSTANCE_CAST (obj, VN_TYPE_COLUMN_IMAGE, VnColumnImage))
#define VN_IS_COLUMN_IMAGE(obj)			(G_TYPE_CHECK_INSTANCE_TYPE (obj, VN_TYPE_COLUMN_IMAGE))
#define VN_COLUMN_IMAGE_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST (klass, VN_TYPE_COLUMN_IMAGE, VnColumnImageClass))
#define VN_IS_COLUMN_IMAGE_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE (klass, VN_TYPE_COLUMN_IMAGE))
#define VN_COLUMN_IMAGE_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS (obj, VN_TYPE_COLUMN_IMAGE, VnColumnImageClass))

typedef struct _VnColumnImage VnColumnImage;
typedef struct _VnColumnImageClass VnColumnImageClass;

/**
 * VnColumnImage:
 **/
struct _VnColumnImage
{
	/* <private> */
	VnColumn parent;
	gchar * host;
	gchar * path;
	gchar * tooltip_path;
	gint tooltip_size;
	DbFileLoader * loader;
	gboolean external_loader;
	GHashTable * loaded;
	GHashTable * tooltips;
	GtkTreeView * tree_view;
};

struct _VnColumnImageClass
{
	/* <private> */
	VnColumnClass parent;
};

GType	vn_column_image_get_type	();

#endif
